> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetACDQueueStatistics POST https://api.voximplant.com/platform_api/GetACDQueueStatistics Get statistics for calls distributed to users (referred as 'operators') via the 'queue' distribution system. This method can filter statistic based on operator ids, queue ids and date-time interval. It can also group results by day or hour. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`. **Example request:** Get WT and TT statistics for the queue from the specified date. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/queues/get-acd-queue-statistics ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `from_date` (string, required) — Date and time of statistics interval begin. Time zone is UTC, format is 24-h 'YYYY-MM-DD HH:mm:ss' - `to_date` (string, optional, default: current date and time) — Date and time of statistics interval begin. Time zone is UTC, format is 24-h 'YYYY-MM-DD HH:mm:ss' - `abbreviation` (boolean, optional, default: true) — Whether key names in returned JSON are abbreviated to reduce response byte size. The abbreviations are: 'WT' for 'WaitingTime', 'SA' for 'SpeedOfAnswer', 'AT' is for 'AbandonmentTime', 'HT' is for 'HandlingTime', 'TT' is for 'TalkTime', 'ACW' is for 'AfterCallWork', 'QL' is for 'QueueLength', 'TC' is for 'TotalCalls', 'AC' is for 'AnsweredCalls', 'UAC' is for 'UnansweredCalls', 'RC' is for 'RejectedCalls', 'SL' is for 'ServiceLevel', 'TWT' is for 'TotalWaitingTime', 'TST' is for 'TotalSubmissionTime', 'TAT' is for 'TotalAbandonmentTime', 'THT' is for 'TotalHandlingTime', 'TTT' is for 'TotalTalkTime', 'TACW' is for 'TotalAfterCallWork' - `acd_queue_id` (list of integer, optional) — The ACD queue ID list separated by semicolons (;). Use the 'all' value to select all ACD queues - `report` (list of string, optional) — List of item names abbreviations separated by semicolons (;). Returned JSON includes keys only for the selected items. Special 'all' value defines all possible items, see [ACDQueueStatisticsType] for a complete list. See 'abbreviation' description for complete abbreviation list - `aggregation` (string, optional, default: none) — Specifies how records are grouped by date and time. If set to 'day', the criteria is a day number. If set to 'hour_of_day', the criteria is a 60-minute interval within a day. If set to 'hour', the criteria is both day number and 60-minute interval within that day. If set to 'none', records are not grouped by date and time ## Response ### 200 Successful response - `result` (list of ACDQueueStatisticsType, optional) — List of records grouped grouped by date according to the 'aggregation' method call argument ## Types ### ACDQueueStatisticsType Individual record in the [ACDOperatorAggregationGroupType] group. - `date` (string, optional) — Date string as returned by the Management API. If aggregation is enabled, contains UTC date for the results in 24-h 'YYYY-MM-DD' format - `hour` (integer, optional) — If aggregation is enabled, contains the 60-minute interval number from 1 to 24 - `WT` (ACDStatisticsItemType, optional) — Delay between user called and operator answered the call (or call is terminated). Name is 'WaitingTime' if 'abbreviation' is set to 'false' - `SA` (ACDStatisticsItemType, optional) — Delay between a call started to ring and operator answered it. Name is 'SpeedOfAnswer' if 'abbreviation' is set to 'false' - `AT` (ACDStatisticsItemType, optional) — Time between user called Voximplant cloud and time they disconnect not reaching the operator. Name is 'AbandonmentTime' if 'abbreviation' is set to 'false' - `HT` (ACDStatisticsItemType, optional) — Sum of 'TalkTime' and 'AfterCallWork'. Name is 'HandlingTime' if 'abbreviation' is set to 'false' - `TT` (ACDStatisticsItemType, optional) — Time between operator answering and ending a call. Name is 'TalkTime' if 'abbreviation' is set to 'false' - `ACW` (ACDStatisticsItemType, optional) — Time between operator ended a call and changed status to a one different from the 'AFTER_SERVICE'. This time is tracked only if operator changed status to 'AFTER_SERVICE' after the call. Name is 'AfterCallWork' if 'abbreviation' is set to 'false' - `QL` (ACDStatisticsItemType, optional) — How many users are in the queue. Name is 'QueueLength' if 'abbreviation' is set to 'false' - `TC` (integer, optional) — Total number of calls. Name is 'TotalCalls' if 'abbreviation' is set to 'false' - `AC` (list of ACDStatisticsCalls, optional) — Number of answered calls. Name is 'AnsweredCalls' if 'abbreviation' is set to 'false' - `UAC` (list of ACDStatisticsCalls, optional) — Number of unanswered calls. Name is 'UnansweredCalls' if 'abbreviation' is set to 'false' - `RC` (list of ACDStatisticsCalls, optional) — Number of calls rejected by the ACD. Call is rejected if all operators are offline or banned, or queue length is exceeded, or predicted answer time exceeds maximum specified for the query. Name is 'RejectedCalls' if 'abbreviation' is set to 'false' - `SL` (list of ACDQueueStatisticsServiceLevelType, optional) — List of service levels. Name is 'ServiceLevel' if 'abbreviation' is set to 'false' - `TWT` (integer, optional) — Sum of 'WaitingTime', in seconds. Name is 'TotalWaitingTime' if 'abbreviation' is set to 'false' - `TST` (integer, optional) — Sum of 'SpeedOfAnswer', in seconds. Name is 'TotalSubmissionTime' if 'abbreviation' is set to 'false' - `TAT` (integer, optional) — Sum for all times between user called Voximplant cloud and time they disconnect not reaching the operator, in seconds. Name is 'TotalAbandonmentTime' if 'abbreviation' is set to 'false' - `THT` (integer, optional) — Sum of 'HandlingTime', in seconds. Name is 'TotalHandlingTime' if 'abbreviation' is set to 'false' - `TTT` (integer, optional) — Sum of 'TalkTime', in seconds. Name is 'TotalTalkTime' if 'abbreviation' is set to 'false' - `TACW` (integer, optional) — Sum of 'AfterCallWork', in seconds. Name is 'TotalAfterCallWork' if 'abbreviation' is set to 'false' ### ACDStatisticsItemType Individual statistics item in the [ACDOperatorStatisticsType], [ACDQueueStatisticsType], and [ACDOperatorStatusStatisticsDetail] records. - `min` (integer, optional) — Minimum value over the aggregated interval, in seconds - `avg` (integer, optional) — Average value over the aggregated interval, in seconds - `max` (integer, optional) — Maximum value over the aggregated interval, in seconds - `count` (integer, optional) — Samples count over the aggregated interval - `sum` (integer, optional) — Sum of all samples over the aggregated interval, in seconds ### ACDStatisticsCalls Individual statistics item in the [ACDQueueStatisticsType] record. - `count` (integer, optional) — Absolute number of calls - `percent` (integer, optional) — Percentage of answered/rejected/unanswered calls, is counted against total number of calls ### ACDQueueStatisticsServiceLevelType Individual service level description used in the [ACDQueueStatisticsType]. - `acceptable_waiting_time` (integer, optional) — Maximum time, is seconds, user is waiting operator for a given service level - `call_count` (integer, optional) — Number of calls for a given service level - `service_level` (integer, optional) — Percentage of calls for a given service level, from 0 (non-inclusive) up to 1 (all calls) ## Examples **Response** ```json { "result": [ { "date": "2021-04-08", "WT": { "min": 0, "avg": 69, "max": 723, "count": 2872, "sum": 198459 }, "TT": { "min": 0, "avg": 153, "max": 1288, "count": 2535, "sum": 388693 } }, { "date": "2021-04-09", "WT": { "min": 0, "avg": 94, "max": 635, "count": 2679, "sum": 254436 }, "TT": { "min": 0, "avg": 143, "max": 1249, "count": 2202, "sum": 316809 } } ] } ``` **SDK Code** ```python Queue statistics import requests url = "https://api.voximplant.com/platform_api/GetACDQueueStatistics" querystring = {"from_date":"2026-04-28 17:30:00"} headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Queue statistics const url = 'https://api.voximplant.com/platform_api/GetACDQueueStatistics?from_date=2026-04-28+17%3A30%3A00'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Queue statistics package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetACDQueueStatistics?from_date=2026-04-28+17%3A30%3A00" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Queue statistics require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetACDQueueStatistics?from_date=2026-04-28+17%3A30%3A00") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Queue statistics import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetACDQueueStatistics?from_date=2026-04-28+17%3A30%3A00") .header("Authorization", "Bearer ") .asString(); ``` ```php Queue statistics request('POST', 'https://api.voximplant.com/platform_api/GetACDQueueStatistics?from_date=2026-04-28+17%3A30%3A00', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Queue statistics using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetACDQueueStatistics?from_date=2026-04-28+17%3A30%3A00"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Queue statistics import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetACDQueueStatistics?from_date=2026-04-28+17%3A30%3A00")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```